#require 'Action'
require 'erb'
OSX.require_framework "WebKit"
OSX.require_framework "Quartz"

class OutlineHTML
  
@@pageTemplate=ERB.new <<-EOF 
<html>
<head>
<title>Collapsible Outline Example</title>
<link href="outline.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="todo_a.css" type="text/css" media="all" title="no title" charset="utf-8">
<script src="outline.js">
</script>
</head>

<body onLoad="outlineInit()">
<ul class="outline">
	<% projects.each do |curProject| %>
	  <%= itemRecurse(curProject) %>
	<% end %>
</ul>
</body>
</html>
EOF

@@itemTemplate=ERB.new <<-EOF
<% if @controller.filteredObjectsAndAncestors.containsObject?(project) %>
<LI><span class="<%= project.actionState %>"><%= project.name.to_s %></span>
  <% if project.kids != nil %>
    <UL>
    <% project.kids.each do |child| %>
		<%= itemRecurse(child) %>
	<% end %>
    </UL>
  <% end %>
</LI>
<% end %>
EOF

  def itemRecurse(project)
    @@itemTemplate.result(binding())
  end
  
  def buildHTMLForProjects(projects,browser)
	@browser=browser
	@controller=@browser.outlineController
    html = @@pageTemplate.result(binding())
  end
  
end